## Apache Zeta Components Manual :: Docs For Class ezcDocumentWikiPluginToken

### Document::ezcDocumentWikiPluginToken

### Class ezcDocumentWikiPluginToken

Struct for Wiki plugin token.

The most complex token, just contains the full plugin contents. May be post process by the tokenizer to extract its type, parameters and text values. Otherwise it will be ignored, and not handled properly by the parser.

Source for this file: /Document/src/document/wiki/token/plugin.php

    ezcBaseStruct
       |
       --ezcDocumentWikiToken
          |
          --ezcDocumentWikiBlockMarkupToken
             |
             --ezcDocumentWikiPluginToken

Version: | //autogen//

### Member Variables

public array | `$parameters` Plugin parameters
public string | `$text` Plugin content
public string | `$type` Plugin type / name.

### Inherited Member Variables

From ezcDocumentWikiToken
public | `ezcDocumentWikiToken::$content`
public | `ezcDocumentWikiToken::$line`
public | `ezcDocumentWikiToken::$position`

Documentation generated by phpDocumentor 1.4.3